<template>
<v-container>
  <h2 class="font-weight-light display-1 text-center">İLGİNÇLİKLER</h2>
  <br>
  <v-card
    v-for="blog in blogs"
    :key='blog.icerik'
    max-width="700"
    class="mx-auto"
  >
    <v-card-title>{{ blog.baslik | ilkharf }}</v-card-title>
    <hr>
    <v-card-text v-if ="!fazlagoster">{{ blog.icerik | limit }}</v-card-text>
    <v-card-text v-if="fazlagoster">{{ blog.icerik }}</v-card-text>
    <hr>
    <v-card-text>{{ blog.yazar }}</v-card-text>
    <hr>
    <v-card-text>{{ blog.date }}</v-card-text>
    <hr>
    <v-card-actions>
      <v-btn
        text
        large
        color="primary"
        @click.prevent="dahafazla"
        >
      Daha Fazla
      </v-btn>
      <v-btn
        text
        large
        color="primary"
        @click.prevent="dahaaz"
        >
      Daha Az
      </v-btn>
    </v-card-actions>
  </v-card>
</v-container>
</template>

<script>
export default {
  data () {
    return {
      blogs: [],
      search: '',
      fazlagoster: false
    }
  },
  created () {
    this.$http.get('https://rekare-9321d.firebaseio.com/ilginclikler.json').then(function (data) {
      this.blogs = data.body
    })
  },
  methods: {
    dahafazla () {
      this.fazlagoster = true
    },
    dahaaz () {
      this.fazlagoster = false
    }
  }
}
</script>

<style>
h2{
  text-decoration-line: underline;
  color:gray;

}

hr {
  border: 0.5px solid #FF3D00;
}

.mx-auto {
  margin: 10px;
}

</style>
